using Microsoft.AspNetCore.Mvc;

namespace IRaCIS.Core.Application.Service.Common
{

    /// <summary>
    ///  开始时候一些帮助 比如根据配置的字典生成枚举
    /// </summary>
    /// <param name="_dictionaryRepository"></param>
    [ApiExplorerSettings(GroupName = "Common")]
    public class DevelopService(IRepository<Dictionary> _dictionaryRepository, IMapper _mapper, IUserInfo _userInfo, IStringLocalizer _localizer) : BaseService
    {
        /// <summary>
        /// 根据配置的字典名生成后端枚举
        /// </summary>
        /// <param name="dicName"></param>
        /// <returns></returns>
        [HttpPost]
        public async Task<IResponseOutput> BackDicGenerateEnum(string dicName)
        {

            return ResponseOutput.Ok();
        }
    }
}
